EmailPlugin (Social Portal ASL Extension 0.16.0-3.11.0-125363 API)
Date: 2016-05-12

org.gcube.applicationsupportlayer.social.mailing

## Class EmailPlugin

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.mailing.EmailPlugin

-     public class EmailPlugin
      extends Object

  Author:
    Massimiliano Assante

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ArrayList<NotificationMail>` | `BUFFER_EMAILS`
    `protected static int` | `SECONDS2WAIT`
    `static String` | `WRITE_ABOVE_MESSAGE_REPLY`
    `static String` | `WRITE_ABOVE_TO_REPLY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `convertHTML2Text(String html)` Convert html into simple text
    `static EmailPlugin` | `getInstance()`
    `protected static javax.mail.Message` | `getMessageNotification(javax.mail.Session session, org.gcube.portal.databook.shared.Notification notification2Save, String vreName, String portalName, String senderEmail, String... hashtags)`
    `void` | `sendNotification(org.gcube.portal.databook.shared.Notification notification2Save, String vreName, String portalName, String senderEmail, String... hashtags)` enqueue the message to send

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECONDS2WAIT

          protected static final int SECONDS2WAIT

      See Also:
        Constant Field Values

    - #### WRITE_ABOVE_MESSAGE_REPLY

          public static final String WRITE_ABOVE_MESSAGE_REPLY

      See Also:
        Constant Field Values

    - #### WRITE_ABOVE_TO_REPLY

          public static final String WRITE_ABOVE_TO_REPLY

      See Also:
        Constant Field Values

    - #### BUFFER_EMAILS

          protected static ArrayList<NotificationMail> BUFFER_EMAILS

  - ### Method Detail

    - #### getInstance

          public static EmailPlugin getInstance()

    - #### convertHTML2Text

          protected static String convertHTML2Text(String html)

      Convert html into simple text

    - #### sendNotification

          public void sendNotification(org.gcube.portal.databook.shared.Notification notification2Save,
                              String vreName,
                              String portalName,
                              String senderEmail,
                              String... hashtags)

      enqueue the message to send
      Parameters:
        `notification2Save` -
        `vreName` -
        `portalName` -
        `senderEmail` -

    - #### getMessageNotification

          protected static javax.mail.Message getMessageNotification(javax.mail.Session session,
                                                  org.gcube.portal.databook.shared.Notification notification2Save,
                                                  String vreName,
                                                  String portalName,
                                                  String senderEmail,
                                                  String... hashtags)
                                                              throws Exception

      Throws:
        `Exception`

Copyright © 2016. All Rights Reserved.